/* eslint-disable */
/**
 * THIS FILE IS GENERATED AUTOMATICALLY.
 * 1. DO NOT edit this file directly as it won't do anything.
 * 2. EDIT the original quasar.config file INSTEAD.
 * 3. DO NOT git commit this file. It should be ignored.
 *
 * This file is still here because there was an error in
 * the original quasar.config file and this allows you to
 * investigate the Node.js stack error.
 *
 * After you fix the original file, this file will be
 * deleted automatically.
 **/

var __getOwnPropNames = Object.getOwnPropertyNames;
var __require = /* @__PURE__ */ ((x) => typeof require !== "undefined" ? require : typeof Proxy !== "undefined" ? new Proxy(x, {
  get: (a, b) => (typeof require !== "undefined" ? require : a)[b]
}) : x)(function(x) {
  if (typeof require !== "undefined")
    return require.apply(this, arguments);
  throw Error('Dynamic require of "' + x + '" is not supported');
});
var __commonJS = (cb, mod) => function __require2() {
  return mod || (0, cb[__getOwnPropNames(cb)[0]])((mod = { exports: {} }).exports, mod), mod.exports;
};

// quasar.config.js
var require_quasar_config = __commonJS({
  "quasar.config.js"(exports, module) {
    var { configure } = __require("quasar/wrappers/index.mjs");
    var { viteExternalsPlugin } = __require("vite-plugin-externals");
    var topLevelAwait = __require("vite-plugin-top-level-await").default;
    var DEFAULT_APP = "BCH Guru";
    var DEFAULT_TERMS_OF_SERVICE_HASH = "40a574b70acfd1a621f81e600d4e0c4372cc691a5479b1af0e9b989152d97d5b";
    var DEFAULT_TERMS_OF_SERVICE_URL = "https://www.bchbull.com/tandc.html";
    var DEFAULT_ORACLE_RELAY = {
      host: "oracles.generalprotocols.com",
      port: "443",
      scheme: "https"
    };
    var DEFAULT_ORACLES = [
      // USD
      "02d09db08af1ff4e8453919cc866a4be427d7bfe18f2c05e5444c196fcf6fd2818",
      // BTC
      "0245a107de5c6aabc9e7b976f26625b01474f90d1a7d11c180bec990b6938e731e",
      // ETH
      "038ab22e37cf020f6bbef40111ddc51083a936f0821de56ac01f799cf15b87904d",
      // Gold
      "021f8338ccd45a7790025de198a266f252ac43c95bf81d2469feff110beeac89dd",
      // Silver
      "02712c349ebb7555b17bdbbe9f7aad5a337fa4179d0680eec3f6c8d77bac9cfa79",
      // CNY (Chinese Yuan)
      "030654b9598186fe4bc9e1b0490c6b85b13991cdb9a7afa34af1bbeee22a35487a",
      // INR (Indian Rupee)
      "02e82ad82eb88fcdfd02fd5e2e0a67bc6ef4139bbcb63ce0b107a7604deb9f7ce1"
    ];
    var DEFAULT_SIDESHIFT_URL = "https://bchbull.com/sideshift.html";
    var DEFAULT_GUIDES_URL = "https://bchbull.com/user-guide.html";
    module.exports = configure(() => ({
      // TODO: Re-enable me.
      eslint: {
        // fix: true,
        // include = [],
        // exclude = [],
        // rawOptions = {},
        warnings: true,
        errors: true
      },
      // app boot file (/src/boot)
      // --> boot files are part of "main.js"
      // https://v2.quasar.dev/quasar-cli-vite/boot-files
      boot: [
        "theme",
        "service"
      ],
      // https://v2.quasar.dev/quasar-cli-vite/quasar-config-js#css
      // TODO: We can probably use an ENV var here to switch between P2P/Bull CSS.
      css: [
        "icomoon.scss",
        "app.scss"
      ],
      // https://github.com/quasarframework/quasar/tree/dev/extras
      extras: [
        // 'roboto-font', // optional, you are not bound to it
        // optional, you are not bound to it
        // 'material-icons',
      ],
      // Full list of options: https://v2.quasar.dev/quasar-cli-vite/quasar-config-js#build
      build: {
        target: {
          browser: ["es2022"],
          node: "node16"
        },
        // Available values: 'hash', 'history'.
        vueRouterMode: "hash",
        // Rebuilds Vite/linter/etc cache on startup
        rebuildCache: true,
        // Inject ENV variables into our code and set defaults.
        env: {
          // App-related.
          APP: process.env.APP || DEFAULT_APP,
          SIDESHIFT_URL: process.env.SIDESHIFT_URL || DEFAULT_SIDESHIFT_URL,
          GUIDES_URL: process.env.GUIDES_URL || DEFAULT_GUIDES_URL,
          TERMS_OF_SERVICE_HASH: process.env.TERMS_OF_SERVICE_HASH || DEFAULT_TERMS_OF_SERVICE_HASH,
          TERMS_OF_SERVICE_URL: process.env.TERMS_OF_SERVICE_URL || DEFAULT_TERMS_OF_SERVICE_URL,
          // Service configurations.
          ORACLE_RELAY_DOMAIN: process.env.ORACLE_RELAY_DOMAIN || DEFAULT_ORACLE_RELAY.host,
          ORACLE_RELAY_PORT: process.env.ORACLE_RELAY_PORT || DEFAULT_ORACLE_RELAY.port,
          ORACLE_RELAY_SCHEME: process.env.ORACLE_RELAY_SCHEME || DEFAULT_ORACLE_RELAY.scheme,
          // Whitelited Oracles.
          DEFAULT_ORACLES: process.env.ORACLES || JSON.stringify(DEFAULT_ORACLES)
        },
        // Extend the Vite Configuration to work-around CJS and GL Pages issues.
        extendViteConf(viteConf) {
          viteConf.base = "";
          viteConf.build.commonjsOptions = {
            // NOTE: We need this to compile AnyHedge Library + Dependencies to work with Vite.
            transformMixedEsModules: true
          };
        },
        // Instantiate Vite Plugins to work around Module issues.
        vitePlugins: [
          // Some of our libraries are not browser-friendly.
          // So, we have to declare these as externals.
          [viteExternalsPlugin, {
            // Price oracle dependencies:
            path: "",
            os: "",
            fs: "",
            // NOTE: The below are "hacks".
            //       We need these to resolve to something: null won't work and an empty object won't work.
            //       An empty array DOES work.
            zeromq: [],
            Subscriber: [],
            // Anyhedge requires dependencies:
            net: "",
            tls: "",
            // BitcoinRpcNetworkProvider requires dependencies:
            https: "",
            http: "",
            // Fetch
            // NOTE: We want to use the browser's native 'fetch' function.
            "node-fetch": "fetch"
          }],
          // Some browsers do not support top-level-await (e.g. Falkon).
          // This is a polyfill for Vite that enables this support.
          [topLevelAwait, {
            // The export name of top-level await promise for each chunk module
            promiseExportName: "__tla",
            // The function to generate import names of top-level await promise in each chunk module
            promiseImportName: (i) => `__tla_${i}`
          }]
        ]
      },
      // Full list of options: https://v2.quasar.dev/quasar-cli-vite/quasar-config-js#devServer
      devServer: {
        // opens browser window automatically
        open: true,
        // Terminate if port is not available.
        strictPort: true,
        hmr: {
          // If a specific Hot Module Reload (HMR) port is given, use it.
          // NOTE: This allows HMR to work behind reverse-proxies.
          clientPort: Number(process.env.HMR_PORT) ?? void 0
        }
      },
      // https://v2.quasar.dev/quasar-cli-vite/quasar-config-js#framework
      framework: {
        config: {
          // Default to light mode, and startup checks for client dark mode preference
          dark: false
        },
        // Quasar plugins
        plugins: ["Dialog", "Loading", "Notify"]
      },
      // animations: 'all', // --- includes all animations
      // https://v2.quasar.dev/options/animations
      animations: ["fadeIn", "pulse", "tada"],
      // See: https://v2.quasar.dev/quasar-cli-vite/developing-pwa/configuring-pwa
      pwa: {
        workboxMode: "generateSW",
        injectPwaMetaTags: true,
        swFilename: "sw.js",
        manifestFilename: "index.webmanifest",
        useCredentialsForManifestTag: false
        // useFilenameHashes: true,
        // extendGenerateSWOptions (cfg) {}
        // extendInjectManifestOptions (cfg) {},
        // extendManifestJson (json) {}
        // extendPWACustomSWConf (esbuildConf) {}
      }
    }));
  }
});
export default require_quasar_config();
